Summary: Revision Control System (RCS) file version management tools
Name: rcs
Version: 5.9.3
Release: 1
License: GPLv3+
Group: Development/Tools
URL: http://www.gnu.org/software/rcs/
Source0: ftp://ftp.gnu.org/gnu/rcs/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnu.org/gnu/rcs/%{name}-%{version}.tar.xz.sig
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: groff
BuildRequires: ghostscript
BuildRequires: patch
BuildRequires: gcc >= 4.2.3-2
Requires: diffutils

%description
The Revision Control System (RCS) is a system for managing multiple
versions of files.  RCS automates the storage, retrieval, logging,
identification and merging of file revisions.  RCS is useful for text
files that are revised frequently (for example, programs,
documentation, graphics, papers and form letters).

The rcs package should be installed if you need a system for managing
different versions of files.


%prep
%setup -q
%patch0


%build
export CC="gcc -pthread"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

export PATH=/opt/freeware/bin:$PATH

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-threads=posix

make %{?_smp_mflags} SOELIM=gsoelim PIC="gpic -n"


%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

cp src/rcsfreeze ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ChangeLog COPYING THANKS NEWS README
%{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/*
/usr/bin/*


%changelog
* Wed Sep 17 2014 Michael Perzl <michael@perzl.org> - 5.9.3-1
- updated to version 5.9.3

* Fri Nov 29 2013 Michael Perzl <michael@perzl.org> - 5.9.2-1
- updated to version 5.9.2

* Fri Oct 04 2013 Michael Perzl <michael@perzl.org> - 5.9.1-1
- updated to version 5.9.1

* Tue May 07 2013 Michael Perzl <michael@perzl.org> - 5.9.0-1
- updated to version 5.9.0

* Thu Apr 04 2013 Michael Perzl <michael@perzl.org> - 5.8.2-1
- updated to version 5.8.2

* Wed Jun 06 2012 Michael Perzl <michael@perzl.org> - 5.8.1-1
- updated to version 5.8.1

* Mon Sep 12 2011 Michael Perzl <michael@perzl.org> - 5.8-1
- first version for AIX V5.1 and higher
